Bug 1540896 - Do lock conflict check correctly for wait-list
Summary: Do lock conflict check correctly for wait-list
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: disperse
Version: 3.13
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On: 1540669 1540882
Blocks: 1540908
TreeView+ depends on / blocked
 
Reported: 2018-02-01 09:47 UTC by Pranith Kumar K
Modified: 2018-06-20 18:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1540882
: 1540908 (view as bug list)
Environment:
Last Closed: 2018-06-20 18:28:49 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Pranith Kumar K 2018-02-01 09:47:18 UTC
+++ This bug was initially created as a clone of Bug #1540882 +++

+++ This bug was initially created as a clone of Bug #1540669 +++

Description of problem:
    Problem:
    ec_link_has_lock_conflict() is traversing over only owner_list
    but the function is also getting called with wait_list.
    
    Fix:
    Modify ec_link_has_lock_conflict() to traverse lists correctly.
    Updated the callers to reflect the changes.


Version-Release number of selected component (if applicable):


How reproducible:
Found while code-reading

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Worker Ant on 2018-01-31 12:11:00 EST ---

REVIEW: https://review.gluster.org/19415 (cluster/ec: Do lock conflict check correctly for wait-list) posted (#1) for review on master by Pranith Kumar Karampuri

--- Additional comment from Worker Ant on 2018-02-01 04:07:51 EST ---

COMMIT: https://review.gluster.org/19415 committed in master by "Xavier Hernandez" <jahernan@redhat.com> with a commit message- cluster/ec: Do lock conflict check correctly for wait-list

Problem:
ec_link_has_lock_conflict() is traversing over only owner_list
but the function is also getting called with wait_list.

Fix:
Modify ec_link_has_lock_conflict() to traverse lists correctly.
Updated the callers to reflect the changes.

BUG: 1540669
Change-Id: Ibd7ea10f4498e7c2761f9a6faac6d5cb7d750c91
Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>

--- Additional comment from Worker Ant on 2018-02-01 04:32:38 EST ---

REVIEW: https://review.gluster.org/19426 (cluster/ec: Do lock conflict check correctly for wait-list) posted (#1) for review on release-4.0 by Pranith Kumar Karampuri

Comment 1 Worker Ant 2018-02-01 09:53:35 UTC
REVIEW: https://review.gluster.org/19428 (cluster/ec: Do lock conflict check correctly for wait-list) posted (#1) for review on release-3.13 by Pranith Kumar Karampuri

Comment 3 Worker Ant 2018-02-02 15:05:26 UTC
COMMIT: https://review.gluster.org/19428 committed in release-3.13 by "Shyamsundar Ranganathan" <srangana@redhat.com> with a commit message- cluster/ec: Do lock conflict check correctly for wait-list

Problem:
ec_link_has_lock_conflict() is traversing over only owner_list
but the function is also getting called with wait_list.

Fix:
Modify ec_link_has_lock_conflict() to traverse lists correctly.
Updated the callers to reflect the changes.

BUG: 1540896
Change-Id: Ibd7ea10f4498e7c2761f9a6faac6d5cb7d750c91
Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>

Comment 4 Shyamsundar 2018-06-20 18:28:49 UTC
This bug reported is against a version of Gluster that is no longer maintained
(or has been EOL'd). See https://www.gluster.org/release-schedule/ for the
versions currently maintained.

As a result this bug is being closed.

If the bug persists on a maintained version of gluster or against the mainline
gluster repository, request that it be reopened and the Version field be marked
appropriately.


Note You need to log in before you can comment on or make changes to this bug.